Package org.jCharts.properties

# Class AreaChartProperties

java.lang.Object
org.jCharts.properties.ChartTypeProperties
org.jCharts.properties.AxisChartTypeProperties
org.jCharts.properties.AreaChartProperties

All Implemented Interfaces:
  `HTMLTestable`

Direct Known Subclasses:
  `StackedAreaChartProperties`

public class AreaChartProperties extends AxisChartTypeProperties

## Constructor Summary

Constructors
Constructor
Description
`AreaChartProperties()`

## Method Summary

Modifier and Type
Method
Description
`void`
`toHTML(HTMLGenerator htmlGenerator)`
Enables the testing routines to display the contents of this Object.
`void`
`validate(IAxisPlotDataSet iAxisPlotDataSet)`
Validates the properties.

### Methods inherited from class org.jCharts.properties.AxisChartTypeProperties

`addPostRenderEventListener, addPreRenderEventListener, firePostRender, firePreRender`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AreaChartProperties

public AreaChartProperties()

## Method Details

### validate

public void validate(IAxisPlotDataSet iAxisPlotDataSet) throws PropertyException
Validates the properties.

Specified by:
  `validate` in class `AxisChartTypeProperties`
Parameters:
  `iAxisPlotDataSet` -
Throws:
  `PropertyException`

### toHTML

public void toHTML(HTMLGenerator htmlGenerator)
Enables the testing routines to display the contents of this Object.

Parameters:
  `htmlGenerator` -